Bug 1195 - (EE) I810(0): [dri] DRIScreenInit failed. Disabling DRI.
(EE) I810(0): [dri] DRIScreenInit failed. Disabling DRI.
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Driver/intel
unspecified
x86 (IA32) Linux (All)
: high normal
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-26 15:37 UTC by red_alert
Modified: 2005-10-18 22:32 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
ARGB Cursor fix (542 bytes, patch)
2004-08-27 01:42 UTC, Alan Hourihane
no flags Details | Splinter Review
This is the ouptput from var log messages (411.02 KB, text/plain)
2004-09-10 15:10 UTC, Jim Cornette
no flags Details
This is my xorg log (33.37 KB, text/plain)
2004-09-10 15:14 UTC, Jim Cornette
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description red_alert 2004-08-26 15:37:25 UTC
hi there

I'm currently using fedora's xorg 6.7.99 (you can find this on
http://wftp.tu-chemnitz.de/pub/linux/fedora-core/development/i386/Fedora/RPMS/).

since i updated to this (all worked fine with xorg 6.7), i get the following errors:
(II) I810(0): [drm] drmAddMap failed
(EE) I810(0): [dri] DRIScreenInit failed. Disabling DRI.
(...)
(**) I810(0): DPMS enabled
(II) I810(0): direct rendering: Failed

i just read the release plan which says, that there are updates made for the
i810 driver...so i guess anything changed there, that it's no longer working on
my platform :-/

By the way, I'm running a vanilla 2.6.8.1 kernel on a dell inspiron 500m.

sorry, if i'm doing anthing wrong here...i'm not very used to that.

regards
red_alert
Comment 1 Dave Airlie 2004-08-26 16:19:56 UTC
not really sure you'll have to post your complete xorg startup log and have you
loaded the agp and i810 kernel modules in that order?

dmesg might be useful as well.. I've only done basic work on making sure the
i810 started up, if it gets this far it looks like it starts up .. I do know for
sure that ARGB cursor is broken, but this looks worse..

Comment 2 Alan Hourihane 2004-08-27 01:42:12 UTC
Created attachment 740 [details] [review]
ARGB Cursor fix

I suspect this could be video memory not being large enough.

Dave, as for the ARGB cursor problem. Can you try the attached fix.
Comment 3 red_alert 2004-08-27 01:48:39 UTC
Xorg.0.log
==========
This is a pre-release version of the The X.Org Foundation X11.
Portions of this release are based on XFree86 4.4RC2 and selected
files from XFree86 4.4RC3. It is not supported in any way.
Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
Select the "xorg" product for bugs you find in this release.
Before reporting bugs in pre-release versions please check the
latest version in the The X.Org Foundation "monolithic tree" CVS
repository hosted at http://www.freedesktop.org/Software/xorg/
X Window System Version 6.7.99.902 (6.8.0 RC 2)
Release Date: 17 August 2004
X Protocol Version 11, Revision 0, Release 6.7.99.902
Build Operating System: Linux 2.4.21-14.ELsmp i686 [ELF] 
Current Operating System: Linux TuxBook 2.6.8.1-ra #2 Thu Aug 26 23:32:52 CEST
2004 i686
Build Date: 25 August 2004
Build Host: tweety.build.redhat.com
 
 Before reporting problems, check http://wiki.X.Org
 to make sure that you have the latest version.
Module Loader present
OS Kernel: Linux version 2.6.8.1-ra (root@TuxBook) (gcc-Version 3.4.1 20040815
(Red Hat 3.4.1-9)) #2 Thu Aug 26 23:32:52 CEST 2004 
Markers: (--) probed, (**) from config file, (==) default setting,
 (++) from command line, (!!) notice, (II) informational,
 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Thu Aug 26 23:55:02 2004
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Videocard0"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) FontPath set to "unix/:7100"
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(WW) Open APM failed (/dev/apm_bios) (No such device)
(II) Module ABI versions:
 X.Org ANSI C Emulation: 0.2
 X.Org Video Driver: 0.7
 X.Org XInput driver : 0.4
 X.Org Server Extension : 0.2
 X.Org Font Renderer : 0.4
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 1.0.0
 Module class: X.Org Font Renderer
 ABI class: X.Org Font Renderer, version 0.4
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 1.0.0
 ABI class: X.Org Video Driver, version 0.7
(++) using VT number 8

(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x00000000, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,3580 card 1028,0153 rev 02 class 06,00,00 hdr 80
(II) PCI: 00:00:1: chip 8086,3584 card 1028,0153 rev 02 class 08,80,00 hdr 00
(II) PCI: 00:00:3: chip 8086,3585 card 1028,0153 rev 02 class 08,80,00 hdr 80
(II) PCI: 00:02:0: chip 8086,3582 card 1028,0153 rev 02 class 03,00,00 hdr 80
(II) PCI: 00:02:1: chip 8086,3582 card 1028,0153 rev 02 class 03,80,00 hdr 80
(II) PCI: 00:1d:0: chip 8086,24c2 card 8086,4541 rev 01 class 0c,03,00 hdr 80
(II) PCI: 00:1d:1: chip 8086,24c4 card 8086,4541 rev 01 class 0c,03,00 hdr 00
(II) PCI: 00:1d:2: chip 8086,24c7 card 8086,4541 rev 01 class 0c,03,00 hdr 00
(II) PCI: 00:1d:7: chip 8086,24cd card 1028,0153 rev 01 class 0c,03,20 hdr 00
(II) PCI: 00:1e:0: chip 8086,2448 card 0000,0000 rev 81 class 06,04,00 hdr 01
(II) PCI: 00:1f:0: chip 8086,24cc card 0000,0000 rev 01 class 06,01,00 hdr 80
(II) PCI: 00:1f:1: chip 8086,24ca card 8086,4541 rev 01 class 01,01,8a hdr 00
(II) PCI: 00:1f:5: chip 8086,24c5 card 1028,0153 rev 01 class 04,01,00 hdr 00
(II) PCI: 00:1f:6: chip 8086,24c6 card 134d,4c21 rev 01 class 07,03,00 hdr 00
(II) PCI: 01:01:0: chip 1217,6972 card 4001,0000 rev 00 class 06,07,00 hdr 02
(II) PCI: 01:03:0: chip 8086,1043 card 8086,2561 rev 04 class 02,80,00 hdr 00
(II) PCI: 01:08:0: chip 8086,103d card 1028,2002 rev 81 class 02,00,00 hdr 00
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,2), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
 [0] -1 0 0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
 [0] -1 0 0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
 [0] -1 0 0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:30:0), (0,1,1), BCTRL: 0x0004 (VGA_EN is cleared)
(II) Bus 1 I/O range:
 [0] -1 0 0x0000e000 - 0x0000e0ff (0x100) IX[B]
 [1] -1 0 0x0000e400 - 0x0000e4ff (0x100) IX[B]
 [2] -1 0 0x0000e800 - 0x0000e8ff (0x100) IX[B]
 [3] -1 0 0x0000ec00 - 0x0000ecff (0x100) IX[B]
(II) Bus 1 non-prefetchable memory range:
 [0] -1 0 0xfc000000 - 0xfdffffff (0x2000000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:31:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(II) PCI-to-CardBus bridge:
(II) Bus 2: bridge is at (1:1:0), (1,2,5), BCTRL: 0x0580 (VGA_EN is cleared)
(--) PCI:*(0:2:0) Intel Corp. 82852/855GM Integrated Graphics Device rev 2, Mem
@ 0xf0000000/27, 0xfaf80000/19, I/O @ 0xc000/3
(--) PCI: (0:2:1) Intel Corp. 82852/855GM Integrated Graphics Device rev 2, Mem
@ 0xe8000000/27, 0xfaf00000/19
(II) Addressable bus resource ranges are
 [0] -1 0 0x00000000 - 0xffffffff (0x0) MX[B]
 [1] -1 0 0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
 [0] -1 0 0xffe00000 - 0xffffffff (0x200000) MX[B](B)
 [1] -1 0 0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
 [2] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
 [3] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
 [4] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
 [5] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
 [6] -1 0 0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
 [0] -1 0 0xfcffe000 - 0xfcffefff (0x1000) MX[B]
 [1] -1 0 0xfcfff000 - 0xfcffffff (0x1000) MX[B]
 [2] -1 0 0xfaeff400 - 0xfaeff4ff (0x100) MX[B]
 [3] -1 0 0xfaeff800 - 0xfaeff9ff (0x200) MX[B]
 [4] -1 0 0x20000000 - 0x200003ff (0x400) MX[B]
 [5] -1 0 0xfaeffc00 - 0xfaefffff (0x400) MX[B]
 [6] -1 0 0xfaf00000 - 0xfaf7ffff (0x80000) MX[B](B)
 [7] -1 0 0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
 [8] -1 0 0xfaf80000 - 0xfaffffff (0x80000) MX[B](B)
 [9] -1 0 0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
 [10] -1 0 0x0000ecc0 - 0x0000ecff (0x40) IX[B]
 [11] -1 0 0x0000d080 - 0x0000d0ff (0x80) IX[B]
 [12] -1 0 0x0000d400 - 0x0000d4ff (0x100) IX[B]
 [13] -1 0 0x0000dc40 - 0x0000dc7f (0x40) IX[B]
 [14] -1 0 0x0000d800 - 0x0000d8ff (0x100) IX[B]
 [15] -1 0 0x0000bfa0 - 0x0000bfaf (0x10) IX[B]
 [16] -1 0 0x00000374 - 0x00000374 (0x1) IX[B]
 [17] -1 0 0x00000170 - 0x00000170 (0x1) IX[B]
 [18] -1 0 0x000003f4 - 0x000003f4 (0x1) IX[B]
 [19] -1 0 0x000001f0 - 0x000001f0 (0x1) IX[B]
 [20] -1 0 0x0000bf20 - 0x0000bf3f (0x20) IX[B]
 [21] -1 0 0x0000bf40 - 0x0000bf5f (0x20) IX[B]
 [22] -1 0 0x0000bf80 - 0x0000bf9f (0x20) IX[B]
 [23] -1 0 0x0000c000 - 0x0000c007 (0x8) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
 [0] -1 0 0xfcffe000 - 0xfcffefff (0x1000) MX[B]
 [1] -1 0 0xfcfff000 - 0xfcffffff (0x1000) MX[B]
 [2] -1 0 0xfaeff400 - 0xfaeff4ff (0x100) MX[B]
 [3] -1 0 0xfaeff800 - 0xfaeff9ff (0x200) MX[B]
 [4] -1 0 0x20000000 - 0x200003ff (0x400) MX[B]
 [5] -1 0 0xfaeffc00 - 0xfaefffff (0x400) MX[B]
 [6] -1 0 0xfaf00000 - 0xfaf7ffff (0x80000) MX[B](B)
 [7] -1 0 0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
 [8] -1 0 0xfaf80000 - 0xfaffffff (0x80000) MX[B](B)
 [9] -1 0 0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
 [10] -1 0 0x0000ecc0 - 0x0000ecff (0x40) IX[B]
 [11] -1 0 0x0000d080 - 0x0000d0ff (0x80) IX[B]
 [12] -1 0 0x0000d400 - 0x0000d4ff (0x100) IX[B]
 [13] -1 0 0x0000dc40 - 0x0000dc7f (0x40) IX[B]
 [14] -1 0 0x0000d800 - 0x0000d8ff (0x100) IX[B]
 [15] -1 0 0x0000bfa0 - 0x0000bfaf (0x10) IX[B]
 [16] -1 0 0x00000374 - 0x00000374 (0x1) IX[B]
 [17] -1 0 0x00000170 - 0x00000170 (0x1) IX[B]
 [18] -1 0 0x000003f4 - 0x000003f4 (0x1) IX[B]
 [19] -1 0 0x000001f0 - 0x000001f0 (0x1) IX[B]
 [20] -1 0 0x0000bf20 - 0x0000bf3f (0x20) IX[B]
 [21] -1 0 0x0000bf40 - 0x0000bf5f (0x20) IX[B]
 [22] -1 0 0x0000bf80 - 0x0000bf9f (0x20) IX[B]
 [23] -1 0 0x0000c000 - 0x0000c007 (0x8) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
 [0] -1 0 0xffe00000 - 0xffffffff (0x200000) MX[B](B)
 [1] -1 0 0x00100000 - 0x1fffffff (0x1ff00000) MX[B]E(B)
 [2] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
 [3] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
 [4] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
 [5] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
 [6] -1 0 0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
 [0] -1 0 0xffe00000 - 0xffffffff (0x200000) MX[B](B)
 [1] -1 0 0x00100000 - 0x1fffffff (0x1ff00000) MX[B]E(B)
 [2] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
 [3] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
 [4] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
 [5] -1 0 0xfcffe000 - 0xfcffefff (0x1000) MX[B]
 [6] -1 0 0xfcfff000 - 0xfcffffff (0x1000) MX[B]
 [7] -1 0 0xfaeff400 - 0xfaeff4ff (0x100) MX[B]
 [8] -1 0 0xfaeff800 - 0xfaeff9ff (0x200) MX[B]
 [9] -1 0 0x20000000 - 0x200003ff (0x400) MX[B]
 [10] -1 0 0xfaeffc00 - 0xfaefffff (0x400) MX[B]
 [11] -1 0 0xfaf00000 - 0xfaf7ffff (0x80000) MX[B](B)
 [12] -1 0 0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
 [13] -1 0 0xfaf80000 - 0xfaffffff (0x80000) MX[B](B)
 [14] -1 0 0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
 [15] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
 [16] -1 0 0x00000000 - 0x000000ff (0x100) IX[B]
 [17] -1 0 0x0000ecc0 - 0x0000ecff (0x40) IX[B]
 [18] -1 0 0x0000d080 - 0x0000d0ff (0x80) IX[B]
 [19] -1 0 0x0000d400 - 0x0000d4ff (0x100) IX[B]
 [20] -1 0 0x0000dc40 - 0x0000dc7f (0x40) IX[B]
 [21] -1 0 0x0000d800 - 0x0000d8ff (0x100) IX[B]
 [22] -1 0 0x0000bfa0 - 0x0000bfaf (0x10) IX[B]
 [23] -1 0 0x00000374 - 0x00000374 (0x1) IX[B]
 [24] -1 0 0x00000170 - 0x00000170 (0x1) IX[B]
 [25] -1 0 0x000003f4 - 0x000003f4 (0x1) IX[B]
 [26] -1 0 0x000001f0 - 0x000001f0 (0x1) IX[B]
 [27] -1 0 0x0000bf20 - 0x0000bf3f (0x20) IX[B]
 [28] -1 0 0x0000bf40 - 0x0000bf5f (0x20) IX[B]
 [29] -1 0 0x0000bf80 - 0x0000bf9f (0x20) IX[B]
 [30] -1 0 0x0000c000 - 0x0000c007 (0x8) IX[B](B)
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 1.0.0
 Module class: X.Org Server Extension
 ABI class: X.Org Server Extension, version 0.2
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 1.0.0
 Module class: X.Org Server Extension
 ABI class: X.Org Server Extension, version 0.2
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "fbdevhw"
(II) Loading /usr/X11R6/lib/modules/linux/libfbdevhw.a
(II) Module fbdevhw: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 0.0.2
 ABI class: X.Org Video Driver, version 0.7
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 1.0.0
 ABI class: X.Org Server Extension, version 0.2
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 1.0.0
 ABI class: X.Org Server Extension, version 0.2
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 1.13.0
 Module class: X.Org Server Extension
 ABI class: X.Org Server Extension, version 0.2
(II) Loading extension RECORD
(II) LoadModule: "freetype"
(II) Loading /usr/X11R6/lib/modules/fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
 compiled for 6.7.99.902, module version = 2.1.0
 Module class: X.Org Font Renderer
 ABI class: X.Org Font Renderer, version 0.4
(II) Loading font FreeType
(II) LoadModule: "type1"
(II) Loading /usr/X11R6/lib/modules/fonts/libtype1.a
(II) Module type1: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 1.0.2
 Module class: X.Org Font Renderer
 ABI class: X.Org Font Renderer, version 0.4
(II) Loading font Type1
(II) Loading font CID
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 1.0.0
 ABI class: X.Org Server Extension, version 0.2
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 1.0.0
 ABI class: X.Org Server Extension, version 0.2
(II) Loading extension XFree86-DRI
(II) LoadModule: "i810"
(II) Loading /usr/X11R6/lib/modules/drivers/i810_drv.o
(II) Module i810: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 1.3.0
 Module class: X.Org Video Driver
 ABI class: X.Org Video Driver, version 0.7
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 1.0.0
 Module class: X.Org XInput Driver
 ABI class: X.Org XInput driver, version 0.4
(II) LoadModule: "kbd"
(II) Loading /usr/X11R6/lib/modules/input/kbd_drv.o
(II) Module kbd: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 1.0.0
 Module class: X.Org XInput Driver
 ABI class: X.Org XInput driver, version 0.4
(II) I810: Driver for Intel Integrated Graphics Chipsets: i810, i810-dc100,
 i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G
(II) Primary Device is: PCI 00:02:0
(--) Assigning device section with no busID to primary device
(--) Chipset 852GM/855GM found
(II) resource ranges after xf86ClaimFixedResources() call:
 [0] -1 0 0xffe00000 - 0xffffffff (0x200000) MX[B](B)
 [1] -1 0 0x00100000 - 0x1fffffff (0x1ff00000) MX[B]E(B)
 [2] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
 [3] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
 [4] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
 [5] -1 0 0xfcffe000 - 0xfcffefff (0x1000) MX[B]
 [6] -1 0 0xfcfff000 - 0xfcffffff (0x1000) MX[B]
 [7] -1 0 0xfaeff400 - 0xfaeff4ff (0x100) MX[B]
 [8] -1 0 0xfaeff800 - 0xfaeff9ff (0x200) MX[B]
 [9] -1 0 0x20000000 - 0x200003ff (0x400) MX[B]
 [10] -1 0 0xfaeffc00 - 0xfaefffff (0x400) MX[B]
 [11] -1 0 0xfaf00000 - 0xfaf7ffff (0x80000) MX[B](B)
 [12] -1 0 0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
 [13] -1 0 0xfaf80000 - 0xfaffffff (0x80000) MX[B](B)
 [14] -1 0 0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
 [15] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
 [16] -1 0 0x00000000 - 0x000000ff (0x100) IX[B]
 [17] -1 0 0x0000ecc0 - 0x0000ecff (0x40) IX[B]
 [18] -1 0 0x0000d080 - 0x0000d0ff (0x80) IX[B]
 [19] -1 0 0x0000d400 - 0x0000d4ff (0x100) IX[B]
 [20] -1 0 0x0000dc40 - 0x0000dc7f (0x40) IX[B]
 [21] -1 0 0x0000d800 - 0x0000d8ff (0x100) IX[B]
 [22] -1 0 0x0000bfa0 - 0x0000bfaf (0x10) IX[B]
 [23] -1 0 0x00000374 - 0x00000374 (0x1) IX[B]
 [24] -1 0 0x00000170 - 0x00000170 (0x1) IX[B]
 [25] -1 0 0x000003f4 - 0x000003f4 (0x1) IX[B]
 [26] -1 0 0x000001f0 - 0x000001f0 (0x1) IX[B]
 [27] -1 0 0x0000bf20 - 0x0000bf3f (0x20) IX[B]
 [28] -1 0 0x0000bf40 - 0x0000bf5f (0x20) IX[B]
 [29] -1 0 0x0000bf80 - 0x0000bf9f (0x20) IX[B]
 [30] -1 0 0x0000c000 - 0x0000c007 (0x8) IX[B](B)
(II) resource ranges after probing:
 [0] -1 0 0xffe00000 - 0xffffffff (0x200000) MX[B](B)
 [1] -1 0 0x00100000 - 0x1fffffff (0x1ff00000) MX[B]E(B)
 [2] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
 [3] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
 [4] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
 [5] -1 0 0xfcffe000 - 0xfcffefff (0x1000) MX[B]
 [6] -1 0 0xfcfff000 - 0xfcffffff (0x1000) MX[B]
 [7] -1 0 0xfaeff400 - 0xfaeff4ff (0x100) MX[B]
 [8] -1 0 0xfaeff800 - 0xfaeff9ff (0x200) MX[B]
 [9] -1 0 0x20000000 - 0x200003ff (0x400) MX[B]
 [10] -1 0 0xfaeffc00 - 0xfaefffff (0x400) MX[B]
 [11] -1 0 0xfaf00000 - 0xfaf7ffff (0x80000) MX[B](B)
 [12] -1 0 0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
 [13] -1 0 0xfaf80000 - 0xfaffffff (0x80000) MX[B](B)
 [14] -1 0 0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
 [15] 1 0 0x000a0000 - 0x000affff (0x10000) MS[B]
 [16] 1 0 0x000b0000 - 0x000b7fff (0x8000) MS[B]
 [17] 1 0 0x000b8000 - 0x000bffff (0x8000) MS[B]
 [18] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
 [19] -1 0 0x00000000 - 0x000000ff (0x100) IX[B]
 [20] -1 0 0x0000ecc0 - 0x0000ecff (0x40) IX[B]
 [21] -1 0 0x0000d080 - 0x0000d0ff (0x80) IX[B]
 [22] -1 0 0x0000d400 - 0x0000d4ff (0x100) IX[B]
 [23] -1 0 0x0000dc40 - 0x0000dc7f (0x40) IX[B]
 [24] -1 0 0x0000d800 - 0x0000d8ff (0x100) IX[B]
 [25] -1 0 0x0000bfa0 - 0x0000bfaf (0x10) IX[B]
 [26] -1 0 0x00000374 - 0x00000374 (0x1) IX[B]
 [27] -1 0 0x00000170 - 0x00000170 (0x1) IX[B]
 [28] -1 0 0x000003f4 - 0x000003f4 (0x1) IX[B]
 [29] -1 0 0x000001f0 - 0x000001f0 (0x1) IX[B]
 [30] -1 0 0x0000bf20 - 0x0000bf3f (0x20) IX[B]
 [31] -1 0 0x0000bf40 - 0x0000bf5f (0x20) IX[B]
 [32] -1 0 0x0000bf80 - 0x0000bf9f (0x20) IX[B]
 [33] -1 0 0x0000c000 - 0x0000c007 (0x8) IX[B](B)
 [34] 1 0 0x000003b0 - 0x000003bb (0xc) IS[B]
 [35] 1 0 0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 1.0.0
 ABI class: X.Org Video Driver, version 0.7
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 1.1.0
 ABI class: X.Org Video Driver, version 0.7
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 0.1.0
 ABI class: X.Org Video Driver, version 0.7
(**) I810(0): Depth 24, (--) framebuffer bpp 32
(==) I810(0): RGB weight 888
(==) I810(0): Default visual is TrueColor
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Reloading /usr/X11R6/lib/modules/linux/libint10.a
(II) I810(0): initializing int10
(WW) I810(0): Bad V_BIOS checksum
(II) I810(0): Primary V_BIOS segment is: 0xc000
(II) I810(0): VESA BIOS detected
(II) I810(0): VESA VBE Version 3.0
(II) I810(0): VESA VBE Total Mem: 12288 kB
(II) I810(0): VESA VBE OEM: Intel(r)852MG/852MGE/855MG/855MGE Graphics Chip
Accelerated VGA BIOS
(II) I810(0): VESA VBE OEM Software Rev: 1.0
(II) I810(0): VESA VBE OEM Vendor: Intel Corporation
(II) I810(0): VESA VBE OEM Product: Intel(r)852MG/852MGE/855MG/855MGE Graphics
Controller
(II) I810(0): VESA VBE OEM Product Rev: Hardware Version 0.0
(II) I810(0): Integrated Graphics Chipset: Intel(R) 855GM
(--) I810(0): Chipset: "852GM/855GM"
(--) I810(0): Linear framebuffer at 0xF0000000
(--) I810(0): IO registers at addr 0xFAF80000
(II) I810(0): 2 display pipes available.
(II) I810(0): detected 892 kB stolen memory.
(WW) I810(0): Detected stolen memory (832 kB) doesn't match what the BIOS
reports (12288 kB)
(II) I810(0): I830CheckAvailableMemory: 448508 kB available
(II) I810(0): Checking Lid status enabled
(--) I810(0): Pre-allocated VideoRAM: 892 kByte
(==) I810(0): VideoRAM: 32768 kByte
(==) I810(0): video overlay key set to 0x101fe
(**) I810(0): page flipping disabled
(==) I810(0): Using gamma correction (1.0, 1.0, 1.0)
(II) I810(0): BIOS Build: 2945
(==) I810(0): Device Presence: disabled.
(WW) I810(0): Primary Pipe is B, switching off second monitor (0x800)
(==) I810(0): Display Info: enabled.
(II) I810(0): Broken BIOSes cause the system to hang here.
       If you encounter this problem please add 
   Option "DisplayInfo" "FALSE"
       to the Device section of your XF86Config file.
(II) I810(0): Display Info: CRT: attached: FALSE, present: TRUE, size: (800,600)
(II) I810(0): Display Info: TV: attached: FALSE, present: TRUE, size: (800,600)
(II) I810(0): Display Info: DFP (digital flat panel): attached: FALSE, present:
TRUE, size: (0,0)
(II) I810(0): Display Info: LFP (local flat panel): attached: TRUE, present:
TRUE, size: (1024,768)
(II) I810(0): Display Info: CRT2 (second CRT): attached: FALSE, present: FALSE,
size: (0,0)
(II) I810(0): Display Info: TV2 (second TV): attached: FALSE, present: FALSE,
size: (0,0)
(II) I810(0): Size of device LFP (local flat panel) is 1024 x 768
(II) I810(0): No active displays on Pipe A.
(II) I810(0): Currently active displays on Pipe B:
(II) I810(0):  LFP (local flat panel)
(II) I810(0): Lowest common panel size for pipe B is 1024 x 768
(==) I810(0): Display is using Pipe B
(--) I810(0): Maximum frambuffer space: 32600 kByte
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 1.0.0
 ABI class: X.Org Video Driver, version 0.7
(II) I810(0): VESA VBE DDC supported
(II) I810(0): VESA VBE DDC Level none
(II) I810(0): VESA VBE DDC transfer in appr. 0 sec.
(II) I810(0): VESA VBE DDC read failed
(--) I810(0): A non-CRT device is attached to pipe B.
 No refresh rate overrides will be attempted.
(II) I810(0): Will use BIOS call 0x5f05 to set refresh rates for CRTs.
(--) I810(0): Maximum space available for video modes: 12288 kByte
Mode: 30 (640x480)
 ModeAttributes: 0x9b
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 640
 XResolution: 640
 YResolution: 480
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 8
 NumberOfBanks: 1
 MemoryModel: 4
 BankSize: 0
 NumberOfImages: 37
 RedMaskSize: 0
 RedFieldPosition: 0
 GreenMaskSize: 0
 GreenFieldPosition: 0
 BlueMaskSize: 0
 BlueFieldPosition: 0
 RsvdMaskSize: 0
 RsvdFieldPosition: 0
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 640
 BnkNumberOfImagePages: 37
 LinNumberOfImagePages: 37
 LinRedMaskSize: 0
 LinRedFieldPosition: 0
 LinGreenMaskSize: 0
 LinGreenFieldPosition: 0
 LinBlueMaskSize: 0
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 0
 LinRsvdFieldPosition: 0
 MaxPixelClock: 230000000
Mode: 32 (800x600)
 ModeAttributes: 0x9b
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 800
 XResolution: 800
 YResolution: 600
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 8
 NumberOfBanks: 1
 MemoryModel: 4
 BankSize: 0
 NumberOfImages: 26
 RedMaskSize: 0
 RedFieldPosition: 0
 GreenMaskSize: 0
 GreenFieldPosition: 0
 BlueMaskSize: 0
 BlueFieldPosition: 0
 RsvdMaskSize: 0
 RsvdFieldPosition: 0
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 800
 BnkNumberOfImagePages: 26
 LinNumberOfImagePages: 26
 LinRedMaskSize: 0
 LinRedFieldPosition: 0
 LinGreenMaskSize: 0
 LinGreenFieldPosition: 0
 LinBlueMaskSize: 0
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 0
 LinRsvdFieldPosition: 0
 MaxPixelClock: 230000000
Mode: 34 (1024x768)
 ModeAttributes: 0x9b
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 1024
 XResolution: 1024
 YResolution: 768
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 8
 NumberOfBanks: 1
 MemoryModel: 4
 BankSize: 0
 NumberOfImages: 15
 RedMaskSize: 0
 RedFieldPosition: 0
 GreenMaskSize: 0
 GreenFieldPosition: 0
 BlueMaskSize: 0
 BlueFieldPosition: 0
 RsvdMaskSize: 0
 RsvdFieldPosition: 0
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 1024
 BnkNumberOfImagePages: 15
 LinNumberOfImagePages: 15
 LinRedMaskSize: 0
 LinRedFieldPosition: 0
 LinGreenMaskSize: 0
 LinGreenFieldPosition: 0
 LinBlueMaskSize: 0
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 0
 LinRsvdFieldPosition: 0
 MaxPixelClock: 230000000
Mode: 38 (1280x1024)
 ModeAttributes: 0x9a
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 1280
 XResolution: 1280
 YResolution: 1024
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 8
 NumberOfBanks: 1
 MemoryModel: 4
 BankSize: 0
 NumberOfImages: 8
 RedMaskSize: 0
 RedFieldPosition: 0
 GreenMaskSize: 0
 GreenFieldPosition: 0
 BlueMaskSize: 0
 BlueFieldPosition: 0
 RsvdMaskSize: 0
 RsvdFieldPosition: 0
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 1280
 BnkNumberOfImagePages: 8
 LinNumberOfImagePages: 8
 LinRedMaskSize: 0
 LinRedFieldPosition: 0
 LinGreenMaskSize: 0
 LinGreenFieldPosition: 0
 LinBlueMaskSize: 0
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 0
 LinRsvdFieldPosition: 0
 MaxPixelClock: 230000000
Mode: 3a (1600x1200)
 ModeAttributes: 0x9a
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 1600
 XResolution: 1600
 YResolution: 1200
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 8
 NumberOfBanks: 1
 MemoryModel: 4
 BankSize: 0
 NumberOfImages: 5
 RedMaskSize: 0
 RedFieldPosition: 0
 GreenMaskSize: 0
 GreenFieldPosition: 0
 BlueMaskSize: 0
 BlueFieldPosition: 0
 RsvdMaskSize: 0
 RsvdFieldPosition: 0
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 1600
 BnkNumberOfImagePages: 5
 LinNumberOfImagePages: 5
 LinRedMaskSize: 0
 LinRedFieldPosition: 0
 LinGreenMaskSize: 0
 LinGreenFieldPosition: 0
 LinBlueMaskSize: 0
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 0
 LinRsvdFieldPosition: 0
 MaxPixelClock: 230000000
Mode: 3c (1920x1440)
 ModeAttributes: 0x9a
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 1920
 XResolution: 1920
 YResolution: 1440
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 8
 NumberOfBanks: 1
 MemoryModel: 4
 BankSize: 0
 NumberOfImages: 3
 RedMaskSize: 0
 RedFieldPosition: 0
 GreenMaskSize: 0
 GreenFieldPosition: 0
 BlueMaskSize: 0
 BlueFieldPosition: 0
 RsvdMaskSize: 0
 RsvdFieldPosition: 0
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 1920
 BnkNumberOfImagePages: 3
 LinNumberOfImagePages: 3
 LinRedMaskSize: 0
 LinRedFieldPosition: 0
 LinGreenMaskSize: 0
 LinGreenFieldPosition: 0
 LinBlueMaskSize: 0
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 0
 LinRsvdFieldPosition: 0
 MaxPixelClock: 230000000
Mode: 41 (640x480)
 ModeAttributes: 0x9b
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 1280
 XResolution: 640
 YResolution: 480
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 16
 NumberOfBanks: 1
 MemoryModel: 6
 BankSize: 0
 NumberOfImages: 20
 RedMaskSize: 5
 RedFieldPosition: 11
 GreenMaskSize: 6
 GreenFieldPosition: 5
 BlueMaskSize: 5
 BlueFieldPosition: 0
 RsvdMaskSize: 0
 RsvdFieldPosition: 0
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 1280
 BnkNumberOfImagePages: 20
 LinNumberOfImagePages: 20
 LinRedMaskSize: 5
 LinRedFieldPosition: 11
 LinGreenMaskSize: 6
 LinGreenFieldPosition: 5
 LinBlueMaskSize: 5
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 0
 LinRsvdFieldPosition: 0
 MaxPixelClock: 230000000
Mode: 43 (800x600)
 ModeAttributes: 0x9b
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 1600
 XResolution: 800
 YResolution: 600
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 16
 NumberOfBanks: 1
 MemoryModel: 6
 BankSize: 0
 NumberOfImages: 11
 RedMaskSize: 5
 RedFieldPosition: 11
 GreenMaskSize: 6
 GreenFieldPosition: 5
 BlueMaskSize: 5
 BlueFieldPosition: 0
 RsvdMaskSize: 0
 RsvdFieldPosition: 0
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 1600
 BnkNumberOfImagePages: 11
 LinNumberOfImagePages: 11
 LinRedMaskSize: 5
 LinRedFieldPosition: 11
 LinGreenMaskSize: 6
 LinGreenFieldPosition: 5
 LinBlueMaskSize: 5
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 0
 LinRsvdFieldPosition: 0
 MaxPixelClock: 230000000
Mode: 45 (1024x768)
 ModeAttributes: 0x9b
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 2048
 XResolution: 1024
 YResolution: 768
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 16
 NumberOfBanks: 1
 MemoryModel: 6
 BankSize: 0
 NumberOfImages: 7
 RedMaskSize: 5
 RedFieldPosition: 11
 GreenMaskSize: 6
 GreenFieldPosition: 5
 BlueMaskSize: 5
 BlueFieldPosition: 0
 RsvdMaskSize: 0
 RsvdFieldPosition: 0
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 2048
 BnkNumberOfImagePages: 7
 LinNumberOfImagePages: 7
 LinRedMaskSize: 5
 LinRedFieldPosition: 11
 LinGreenMaskSize: 6
 LinGreenFieldPosition: 5
 LinBlueMaskSize: 5
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 0
 LinRsvdFieldPosition: 0
 MaxPixelClock: 230000000
Mode: 49 (1280x1024)
 ModeAttributes: 0x9a
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 2560
 XResolution: 1280
 YResolution: 1024
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 16
 NumberOfBanks: 1
 MemoryModel: 6
 BankSize: 0
 NumberOfImages: 3
 RedMaskSize: 5
 RedFieldPosition: 11
 GreenMaskSize: 6
 GreenFieldPosition: 5
 BlueMaskSize: 5
 BlueFieldPosition: 0
 RsvdMaskSize: 0
 RsvdFieldPosition: 0
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 2560
 BnkNumberOfImagePages: 3
 LinNumberOfImagePages: 3
 LinRedMaskSize: 5
 LinRedFieldPosition: 11
 LinGreenMaskSize: 6
 LinGreenFieldPosition: 5
 LinBlueMaskSize: 5
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 0
 LinRsvdFieldPosition: 0
 MaxPixelClock: 230000000
Mode: 4b (1600x1200)
 ModeAttributes: 0x9a
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 3200
 XResolution: 1600
 YResolution: 1200
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 16
 NumberOfBanks: 1
 MemoryModel: 6
 BankSize: 0
 NumberOfImages: 2
 RedMaskSize: 5
 RedFieldPosition: 11
 GreenMaskSize: 6
 GreenFieldPosition: 5
 BlueMaskSize: 5
 BlueFieldPosition: 0
 RsvdMaskSize: 0
 RsvdFieldPosition: 0
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 3200
 BnkNumberOfImagePages: 2
 LinNumberOfImagePages: 2
 LinRedMaskSize: 5
 LinRedFieldPosition: 11
 LinGreenMaskSize: 6
 LinGreenFieldPosition: 5
 LinBlueMaskSize: 5
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 0
 LinRsvdFieldPosition: 0
 MaxPixelClock: 230000000
Mode: 4d (1920x1440)
 ModeAttributes: 0x9a
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 3840
 XResolution: 1920
 YResolution: 1440
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 16
 NumberOfBanks: 1
 MemoryModel: 6
 BankSize: 0
 NumberOfImages: 1
 RedMaskSize: 5
 RedFieldPosition: 11
 GreenMaskSize: 6
 GreenFieldPosition: 5
 BlueMaskSize: 5
 BlueFieldPosition: 0
 RsvdMaskSize: 0
 RsvdFieldPosition: 0
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 3840
 BnkNumberOfImagePages: 1
 LinNumberOfImagePages: 1
 LinRedMaskSize: 5
 LinRedFieldPosition: 11
 LinGreenMaskSize: 6
 LinGreenFieldPosition: 5
 LinBlueMaskSize: 5
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 0
 LinRsvdFieldPosition: 0
 MaxPixelClock: 230000000
*Mode: 50 (640x480)
 ModeAttributes: 0x9b
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 2560
 XResolution: 640
 YResolution: 480
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 32
 NumberOfBanks: 1
 MemoryModel: 6
 BankSize: 0
 NumberOfImages: 9
 RedMaskSize: 8
 RedFieldPosition: 16
 GreenMaskSize: 8
 GreenFieldPosition: 8
 BlueMaskSize: 8
 BlueFieldPosition: 0
 RsvdMaskSize: 8
 RsvdFieldPosition: 24
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 2560
 BnkNumberOfImagePages: 9
 LinNumberOfImagePages: 9
 LinRedMaskSize: 8
 LinRedFieldPosition: 16
 LinGreenMaskSize: 8
 LinGreenFieldPosition: 8
 LinBlueMaskSize: 8
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 8
 LinRsvdFieldPosition: 24
 MaxPixelClock: 230000000
*Mode: 52 (800x600)
 ModeAttributes: 0x9b
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 3200
 XResolution: 800
 YResolution: 600
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 32
 NumberOfBanks: 1
 MemoryModel: 6
 BankSize: 0
 NumberOfImages: 5
 RedMaskSize: 8
 RedFieldPosition: 16
 GreenMaskSize: 8
 GreenFieldPosition: 8
 BlueMaskSize: 8
 BlueFieldPosition: 0
 RsvdMaskSize: 8
 RsvdFieldPosition: 24
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 3200
 BnkNumberOfImagePages: 5
 LinNumberOfImagePages: 5
 LinRedMaskSize: 8
 LinRedFieldPosition: 16
 LinGreenMaskSize: 8
 LinGreenFieldPosition: 8
 LinBlueMaskSize: 8
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 8
 LinRsvdFieldPosition: 24
 MaxPixelClock: 230000000
*Mode: 54 (1024x768)
 ModeAttributes: 0x9b
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 4096
 XResolution: 1024
 YResolution: 768
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 32
 NumberOfBanks: 1
 MemoryModel: 6
 BankSize: 0
 NumberOfImages: 3
 RedMaskSize: 8
 RedFieldPosition: 16
 GreenMaskSize: 8
 GreenFieldPosition: 8
 BlueMaskSize: 8
 BlueFieldPosition: 0
 RsvdMaskSize: 8
 RsvdFieldPosition: 24
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 4096
 BnkNumberOfImagePages: 3
 LinNumberOfImagePages: 3
 LinRedMaskSize: 8
 LinRedFieldPosition: 16
 LinGreenMaskSize: 8
 LinGreenFieldPosition: 8
 LinBlueMaskSize: 8
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 8
 LinRsvdFieldPosition: 24
 MaxPixelClock: 230000000
Mode: 58 (1280x1024)
 ModeAttributes: 0x9a
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 5120
 XResolution: 1280
 YResolution: 1024
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 32
 NumberOfBanks: 1
 MemoryModel: 6
 BankSize: 0
 NumberOfImages: 1
 RedMaskSize: 8
 RedFieldPosition: 16
 GreenMaskSize: 8
 GreenFieldPosition: 8
 BlueMaskSize: 8
 BlueFieldPosition: 0
 RsvdMaskSize: 8
 RsvdFieldPosition: 24
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 5120
 BnkNumberOfImagePages: 1
 LinNumberOfImagePages: 1
 LinRedMaskSize: 8
 LinRedFieldPosition: 16
 LinGreenMaskSize: 8
 LinGreenFieldPosition: 8
 LinBlueMaskSize: 8
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 8
 LinRsvdFieldPosition: 24
 MaxPixelClock: 230000000
Mode: 5a (1600x1200)
 ModeAttributes: 0x9a
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 6400
 XResolution: 1600
 YResolution: 1200
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 32
 NumberOfBanks: 1
 MemoryModel: 6
 BankSize: 0
 NumberOfImages: 0
 RedMaskSize: 8
 RedFieldPosition: 16
 GreenMaskSize: 8
 GreenFieldPosition: 8
 BlueMaskSize: 8
 BlueFieldPosition: 0
 RsvdMaskSize: 8
 RsvdFieldPosition: 24
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 6400
 BnkNumberOfImagePages: 0
 LinNumberOfImagePages: 0
 LinRedMaskSize: 8
 LinRedFieldPosition: 16
 LinGreenMaskSize: 8
 LinGreenFieldPosition: 8
 LinBlueMaskSize: 8
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 8
 LinRsvdFieldPosition: 24
 MaxPixelClock: 230000000
Mode: 5c (1920x1440)
 ModeAttributes: 0x9a
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 7680
 XResolution: 1920
 YResolution: 1440
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 32
 NumberOfBanks: 1
 MemoryModel: 6
 BankSize: 0
 NumberOfImages: 0
 RedMaskSize: 8
 RedFieldPosition: 16
 GreenMaskSize: 8
 GreenFieldPosition: 8
 BlueMaskSize: 8
 BlueFieldPosition: 0
 RsvdMaskSize: 8
 RsvdFieldPosition: 24
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 7680
 BnkNumberOfImagePages: 0
 LinNumberOfImagePages: 0
 LinRedMaskSize: 8
 LinRedFieldPosition: 16
 LinGreenMaskSize: 8
 LinGreenFieldPosition: 8
 LinBlueMaskSize: 8
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 8
 LinRsvdFieldPosition: 24
 MaxPixelClock: 230000000
Mode: 7c (1024x600)
 ModeAttributes: 0x9a
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 1024
 XResolution: 1024
 YResolution: 600
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 8
 NumberOfBanks: 1
 MemoryModel: 4
 BankSize: 0
 NumberOfImages: 20
 RedMaskSize: 0
 RedFieldPosition: 0
 GreenMaskSize: 0
 GreenFieldPosition: 0
 BlueMaskSize: 0
 BlueFieldPosition: 0
 RsvdMaskSize: 0
 RsvdFieldPosition: 0
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 1024
 BnkNumberOfImagePages: 20
 LinNumberOfImagePages: 20
 LinRedMaskSize: 0
 LinRedFieldPosition: 0
 LinGreenMaskSize: 0
 LinGreenFieldPosition: 0
 LinBlueMaskSize: 0
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 0
 LinRsvdFieldPosition: 0
 MaxPixelClock: 230000000
Mode: 7d (1024x600)
 ModeAttributes: 0x9a
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 2048
 XResolution: 1024
 YResolution: 600
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 16
 NumberOfBanks: 1
 MemoryModel: 4
 BankSize: 0
 NumberOfImages: 9
 RedMaskSize: 5
 RedFieldPosition: 11
 GreenMaskSize: 6
 GreenFieldPosition: 5
 BlueMaskSize: 5
 BlueFieldPosition: 0
 RsvdMaskSize: 0
 RsvdFieldPosition: 0
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 2048
 BnkNumberOfImagePages: 9
 LinNumberOfImagePages: 9
 LinRedMaskSize: 5
 LinRedFieldPosition: 11
 LinGreenMaskSize: 6
 LinGreenFieldPosition: 5
 LinBlueMaskSize: 5
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 0
 LinRsvdFieldPosition: 0
 MaxPixelClock: 230000000
Mode: 7e (1024x600)
 ModeAttributes: 0x9a
 WinAAttributes: 0x7
 WinBAttributes: 0x0
 WinGranularity: 64
 WinSize: 64
 WinASegment: 0xa000
 WinBSegment: 0x0
 WinFuncPtr: 0xc0006f96
 BytesPerScanline: 4096
 XResolution: 1024
 YResolution: 600
 XCharSize: 8
 YCharSize: 16
 NumberOfPlanes: 1
 BitsPerPixel: 32
 NumberOfBanks: 1
 MemoryModel: 4
 BankSize: 0
 NumberOfImages: 4
 RedMaskSize: 8
 RedFieldPosition: 16
 GreenMaskSize: 8
 GreenFieldPosition: 8
 BlueMaskSize: 8
 BlueFieldPosition: 0
 RsvdMaskSize: 8
 RsvdFieldPosition: 24
 DirectColorModeInfo: 0
 PhysBasePtr: 0xf0000000
 LinBytesPerScanLine: 4096
 BnkNumberOfImagePages: 4
 LinNumberOfImagePages: 4
 LinRedMaskSize: 8
 LinRedFieldPosition: 16
 LinGreenMaskSize: 8
 LinGreenFieldPosition: 8
 LinBlueMaskSize: 8
 LinBlueFieldPosition: 0
 LinRsvdMaskSize: 8
 LinRsvdFieldPosition: 24
 MaxPixelClock: 230000000
(II) I810(0): Monitor0: Using hsync range of 31.50-48.50 kHz
(II) I810(0): Monitor0: Using vrefresh range of 59.00-75.00 Hz
(--) I810(0): Virtual size is 1024x768 (pitch 1024)
(**) I810(0): *Built-in mode "1024x768"
(**) I810(0):  Built-in mode "800x600"
(**) I810(0):  Built-in mode "640x480"
(==) I810(0): DPI set to (75, 75)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 1.0.0
 ABI class: X.Org ANSI C Emulation, version 0.2
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 1.2.0
 ABI class: X.Org Video Driver, version 0.7
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 0.1.0
 ABI class: X.Org Video Driver, version 0.7
(==) I810(0): VBE Restore workaround: enabled.
(II) Loading sub module "shadow"
(II) LoadModule: "shadow"
(II) Loading /usr/X11R6/lib/modules/libshadow.a
(II) Module shadow: vendor="X.Org Foundation"
 compiled for 6.7.99.902, module version = 1.0.0
 ABI class: X.Org ANSI C Emulation, version 0.2
(==) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
 [0] 1 0 0xfaf80000 - 0xfaffffff (0x80000) MS[B]
 [1] 1 0 0xf0000000 - 0xf7ffffff (0x8000000) MS[B]
 [2] -1 0 0xffe00000 - 0xffffffff (0x200000) MX[B](B)
 [3] -1 0 0x00100000 - 0x1fffffff (0x1ff00000) MX[B]E(B)
 [4] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
 [5] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
 [6] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
 [7] -1 0 0xfcffe000 - 0xfcffefff (0x1000) MX[B]
 [8] -1 0 0xfcfff000 - 0xfcffffff (0x1000) MX[B]
 [9] -1 0 0xfaeff400 - 0xfaeff4ff (0x100) MX[B]
 [10] -1 0 0xfaeff800 - 0xfaeff9ff (0x200) MX[B]
 [11] -1 0 0x20000000 - 0x200003ff (0x400) MX[B]
 [12] -1 0 0xfaeffc00 - 0xfaefffff (0x400) MX[B]
 [13] -1 0 0xfaf00000 - 0xfaf7ffff (0x80000) MX[B](B)
 [14] -1 0 0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
 [15] -1 0 0xfaf80000 - 0xfaffffff (0x80000) MX[B](B)
 [16] -1 0 0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
 [17] 1 0 0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
 [18] 1 0 0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
 [19] 1 0 0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
 [20] 1 0 0x0000c000 - 0x0000c007 (0x8) IS[B]
 [21] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
 [22] -1 0 0x00000000 - 0x000000ff (0x100) IX[B]
 [23] -1 0 0x0000ecc0 - 0x0000ecff (0x40) IX[B]
 [24] -1 0 0x0000d080 - 0x0000d0ff (0x80) IX[B]
 [25] -1 0 0x0000d400 - 0x0000d4ff (0x100) IX[B]
 [26] -1 0 0x0000dc40 - 0x0000dc7f (0x40) IX[B]
 [27] -1 0 0x0000d800 - 0x0000d8ff (0x100) IX[B]
 [28] -1 0 0x0000bfa0 - 0x0000bfaf (0x10) IX[B]
 [29] -1 0 0x00000374 - 0x00000374 (0x1) IX[B]
 [30] -1 0 0x00000170 - 0x00000170 (0x1) IX[B]
 [31] -1 0 0x000003f4 - 0x000003f4 (0x1) IX[B]
 [32] -1 0 0x000001f0 - 0x000001f0 (0x1) IX[B]
 [33] -1 0 0x0000bf20 - 0x0000bf3f (0x20) IX[B]
 [34] -1 0 0x0000bf40 - 0x0000bf5f (0x20) IX[B]
 [35] -1 0 0x0000bf80 - 0x0000bf9f (0x20) IX[B]
 [36] -1 0 0x0000c000 - 0x0000c007 (0x8) IX[B](B)
 [37] 1 0 0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
 [38] 1 0 0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Reloading /usr/X11R6/lib/modules/linux/libint10.a
(II) I810(0): initializing int10
(WW) I810(0): Bad V_BIOS checksum
(II) I810(0): Primary V_BIOS segment is: 0xc000
(II) I810(0): VESA BIOS detected
(II) I810(0): VESA VBE Version 3.0
(II) I810(0): VESA VBE Total Mem: 12288 kB
(II) I810(0): VESA VBE OEM: Intel(r)852MG/852MGE/855MG/855MGE Graphics Chip
Accelerated VGA BIOS
(II) I810(0): VESA VBE OEM Software Rev: 1.0
(II) I810(0): VESA VBE OEM Vendor: Intel Corporation
(II) I810(0): VESA VBE OEM Product: Intel(r)852MG/852MGE/855MG/855MGE Graphics
Controller
(II) I810(0): VESA VBE OEM Product Rev: Hardware Version 0.0
(==) I810(0): Default visual is TrueColor
(II) I810(0): Allocated 128 kB for the ring buffer at 0x0
(II) I810(0): Allocating at least 512 scanlines for pixmap cache
(II) I810(0): Initial framebuffer allocation size: 5120 kByte
(II) I810(0): Allocated 4 kB for HW cursor at 0x7fff000 (0x05d7b000)
(II) I810(0): Allocated 16 kB for HW (ARGB) cursor at 0x7ffb000 (0x15a04000)
(II) I810(0): Allocated 4 kB for Overlay registers at 0x7ffa000 (0x14bee000).
(II) I810(0): Allocated 64 kB for the scratch buffer at 0x7fea000
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 6, (OK)
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 6, (OK)
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 6, (OK)
drmOpenByBusid: drmOpenMinor returns 6
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
(II) I810(0): [drm] DRM interface version 1.2
(II) I810(0): [drm] created "i915" driver at busid "pci:0000:00:02.0"
(II) I810(0): [drm] drmAddMap failed
(EE) I810(0): [dri] DRIScreenInit failed. Disabling DRI.
(II) I810(0): Updated framebuffer allocation size from 5120 to 8192 kByte
(II) I810(0): Updated pixmap cache from 512 scanlines to 1280 scanlines
(II) I810(0): 0x85f66a0: Memory at offset 0x00020000, size 8192 kBytes
(II) I810(0): 0x85e4b30: Memory at offset 0x07fff000, size 4 kBytes
(II) I810(0): 0x85e4a98: Memory at offset 0x07ffb000, size 16 kBytes
(II) I810(0): 0x85d55d4: Memory at offset 0x00000000, size 128 kBytes
(II) I810(0): 0x85f66e0: Memory at offset 0x07fea000, size 64 kBytes
(II) I810(0): 0x858ef68: Memory at offset 0x07ffa000, size 4 kBytes
(==) I810(0): Write-combining range (0xf0000000,0x8000000)
(II) I810(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(II) I810(0): xf86BindGARTMemory: bind key 4 at 0x000df000 (pgoffset 223)
(II) I810(0): xf86BindGARTMemory: bind key 0 at 0x07fff000 (pgoffset 32767)
(II) I810(0): xf86BindGARTMemory: bind key 1 at 0x07ffb000 (pgoffset 32763)
(II) I810(0): xf86BindGARTMemory: bind key 3 at 0x07fea000 (pgoffset 32746)
(II) I810(0): xf86BindGARTMemory: bind key 2 at 0x07ffa000 (pgoffset 32762)
(II) I810(0): Display plane A is disabled and connected to Pipe A.
(II) I810(0): Display plane B is enabled and connected to Pipe B.
(II) I810(0): Enabling plane B.
(II) I810(0): Display plane A is now disabled and connected to Pipe A.
(II) I810(0): Display plane B is now enabled and connected to Pipe B.
(II) I810(0): PIPEACONF is 0x80000000
(II) I810(0): PIPEBCONF is 0x80000000
(II) I810(0): Mode bandwidth is 47 Mpixel/s
(II) I810(0): maxBandwidth is 1152 Mbyte/s, pipe bandwidths are 252 Mbyte/s, 0
Mbyte/s
(II) I810(0): LFP compensation mode: 0x6
(II) I810(0): Using XFree86 Acceleration Architecture (XAA)
 Screen to screen bit blits
 Solid filled rectangles
 8x8 mono pattern filled rectangles
 Indirect CPU to Screen color expansion
 Solid Horizontal and Vertical Lines
 Offscreen Pixmaps
 Setting up tile and stipple cache:
  32 128x128 slots
  12 256x256 slots
(==) I810(0): Backing store disabled
(==) I810(0): Silken mouse enabled
(II) I810(0): Initializing HW Cursor
(**) Option "dpms"
(**) I810(0): DPMS enabled
(II) I810(0): direct rendering: Failed
(==) RandR enabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
(**) Option "Protocol" "IMPS/2"
(**) Mouse0: Device: "/dev/input/mice"
(**) Mouse0: Protocol: "IMPS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/input/mice"
(**) Option "Emulate3Buttons" "yes"
(**) Mouse0: Emulate3Buttons, Emulate3Timeout: 50
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(**) Mouse0: Buttons: 5
(**) Option "CoreKeyboard"
(**) Keyboard0: Core Keyboard
(**) Option "Protocol" "standard"
(**) Keyboard0: Protocol: standard
(**) Option "AutoRepeat" "500 30"
(**) Option "XkbRules" "xorg"
(**) Keyboard0: XkbRules: "xorg"
(**) Option "XkbModel" "pc105"
(**) Keyboard0: XkbModel: "pc105"
(**) Option "XkbLayout" "de_CH"
(**) Keyboard0: XkbLayout: "de_CH"
(**) Option "CustomKeycodes" "off"
(**) Keyboard0: CustomKeycodes disabled
(II) XINPUT: Adding extended input device "Keyboard0" (type: KEYBOARD)
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
(II) Mouse0: ps2EnableDataReporting: succeeded
(WW) I810(0): Successfully set original devices
(WW) I810(0): Setting the original video mode instead of restoring
 the saved state
(II) I810(0): xf86UnbindGARTMemory: unbind key 4
(II) I810(0): xf86UnbindGARTMemory: unbind key 0
(II) I810(0): xf86UnbindGARTMemory: unbind key 1
(II) I810(0): xf86UnbindGARTMemory: unbind key 3
(II) I810(0): xf86UnbindGARTMemory: unbind key 2
SetClientVersion: 0 8
(WW) Open APM failed (/dev/apm_bios) (No such device)
(II) I810(0): xf86BindGARTMemory: bind key 4 at 0x000df000 (pgoffset 223)
(II) I810(0): xf86BindGARTMemory: bind key 0 at 0x07fff000 (pgoffset 32767)
(II) I810(0): xf86BindGARTMemory: bind key 1 at 0x07ffb000 (pgoffset 32763)
(II) I810(0): xf86BindGARTMemory: bind key 3 at 0x07fea000 (pgoffset 32746)
(II) I810(0): xf86BindGARTMemory: bind key 2 at 0x07ffa000 (pgoffset 32762)
(II) I810(0): Display plane A is disabled and connected to Pipe A.
(II) I810(0): Display plane B is enabled and connected to Pipe B.
(II) I810(0): Enabling plane B.
(II) I810(0): Display plane A is now disabled and connected to Pipe A.
(II) I810(0): Display plane B is now enabled and connected to Pipe B.
(II) I810(0): PIPEACONF is 0x80000000
(II) I810(0): PIPEBCONF is 0x80000000
(II) I810(0): Mode bandwidth is 47 Mpixel/s
(II) I810(0): maxBandwidth is 1152 Mbyte/s, pipe bandwidths are 252 Mbyte/s, 0
Mbyte/s
(II) I810(0): LFP compensation mode: 0x6
(II) Mouse0: ps2EnableDataReporting: succeeded
SetClientVersion: 0 8
SetGrabKeysState - disabled
SetGrabKeysState - enabled
(WW) I810(0): Successfully set original devices
(WW) I810(0): Setting the original video mode instead of restoring
 the saved state
(II) I810(0): xf86UnbindGARTMemory: unbind key 4
(II) I810(0): xf86UnbindGARTMemory: unbind key 0
(II) I810(0): xf86UnbindGARTMemory: unbind key 1
(II) I810(0): xf86UnbindGARTMemory: unbind key 3
(II) I810(0): xf86UnbindGARTMemory: unbind key 2
(WW) Open APM failed (/dev/apm_bios) (No such device)
(II) I810(0): xf86BindGARTMemory: bind key 4 at 0x000df000 (pgoffset 223)
(II) I810(0): xf86BindGARTMemory: bind key 0 at 0x07fff000 (pgoffset 32767)
(II) I810(0): xf86BindGARTMemory: bind key 1 at 0x07ffb000 (pgoffset 32763)
(II) I810(0): xf86BindGARTMemory: bind key 3 at 0x07fea000 (pgoffset 32746)
(II) I810(0): xf86BindGARTMemory: bind key 2 at 0x07ffa000 (pgoffset 32762)
(II) I810(0): Display plane A is disabled and connected to Pipe A.
(II) I810(0): Display plane B is enabled and connected to Pipe B.
(II) I810(0): Enabling plane B.
(II) I810(0): Display plane A is now disabled and connected to Pipe A.
(II) I810(0): Display plane B is now enabled and connected to Pipe B.
(II) I810(0): PIPEACONF is 0x80000000
(II) I810(0): PIPEBCONF is 0x80000000
(II) I810(0): Mode bandwidth is 47 Mpixel/s
(II) I810(0): maxBandwidth is 1152 Mbyte/s, pipe bandwidths are 252 Mbyte/s, 0
Mbyte/s
(II) I810(0): LFP compensation mode: 0x6
(II) Mouse0: ps2EnableDataReporting: succeeded
Comment 4 red_alert 2004-08-27 01:50:40 UTC
dmesg
=====
Linux version 2.6.8.1-ra (root@TuxBook) (gcc-Version 3.4.1 20040815 (Red Hat
3.4.1-9)) #2 Thu Aug 26 23:32:52 CEST 2004
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009f000 (usable)
 BIOS-e820: 000000000009f000 - 00000000000a0000 (reserved)
 BIOS-e820: 0000000000100000 - 000000001feaa000 (usable)
 BIOS-e820: 000000001feaa000 - 0000000020000000 (reserved)
 BIOS-e820: 00000000fec10000 - 00000000fec20000 (reserved)
 BIOS-e820: 00000000feda0000 - 00000000fee00000 (reserved)
 BIOS-e820: 00000000ffb00000 - 0000000100000000 (reserved)
510MB LOWMEM available.
On node 0 totalpages: 130730
  DMA zone: 4096 pages, LIFO batch:1
  Normal zone: 126634 pages, LIFO batch:16
  HighMem zone: 0 pages, LIFO batch:1
DMI 2.3 present.
ACPI: RSDP (v000 DELL                                      ) @ 0x000fdf00
ACPI: RSDT (v001 DELL    CPi R   0x27d4070e ASL  0x00000061) @ 0x1fef0000
ACPI: FADT (v001 DELL    CPi R   0x27d4070e ASL  0x00000061) @ 0x1fef0400
ACPI: DSDT (v001 INT430 SYSFexxx 0x00001001 MSFT 0x0100000e) @ 0x00000000
ACPI: PM-Timer IO Port: 0x808
Built 1 zonelists
Kernel command line: ro root=/dev/hda2 acpi=on apm=off rhgb quiet
Initializing CPU#0
PID hash table entries: 2048 (order 11: 16384 bytes)
Detected 1294.881 MHz processor.
Using pmtmr for high-res timesource
Console: colour VGA+ 80x25
Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)
Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)
Memory: 513712k/522920k available (2428k kernel code, 8412k reserved, 804k data,
144k init, 0k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay loop... 2564.09 BogoMIPS
Security Scaffold v1.0.0 initialized
Capability LSM initialized
Mount-cache hash table entries: 512 (order: 0, 4096 bytes)
CPU: After generic identify, caps: a7e9f9bf 00000000 00000000 00000000
CPU: After vendor identify, caps:  a7e9f9bf 00000000 00000000 00000000
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 1024K
CPU: After all inits, caps:        a7e9f9bf 00000000 00000000 00000040
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: Intel(R) Pentium(R) M processor 1300MHz stepping 05
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
checking if image is initramfs...it isn't (no cpio magic); looks like an initrd
Freeing initrd memory: 130k freed
NET: Registered protocol family 16
PCI: PCI BIOS revision 2.10 entry at 0xfc96e, last bus=1
PCI: Using configuration type 1
mtrr: v2.0 (20020519)
ACPI: Subsystem revision 20040326
ACPI: IRQ9 SCI: Edge set to Level Trigger.
ACPI: Interpreter enabled
ACPI: Using PIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (00:00)
PCI: Probing PCI hardware (bus 00)
PCI: Ignoring BAR0-3 of IDE controller 0000:00:1f.1
PCI: Transparent bridge - 0000:00:1e.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 9 10 *11)
ACPI: PCI Interrupt Link [LNKB] (IRQs 5 7) *11
ACPI: PCI Interrupt Link [LNKC] (IRQs 9 10 *11)
ACPI: PCI Interrupt Link [LNKD] (IRQs 5 7 9 10 *11)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCIE._PRT]
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 11
ACPI: PCI interrupt 0000:00:02.0[A] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI interrupt 0000:00:1d.0[A] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 11
ACPI: PCI interrupt 0000:00:1d.1[B] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 11
ACPI: PCI interrupt 0000:00:1d.2[C] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI Interrupt Link [LNKH] enabled at IRQ 11
ACPI: PCI interrupt 0000:00:1d.7[D] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI interrupt 0000:00:1f.1[A] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 7
ACPI: PCI interrupt 0000:00:1f.5[B] -> GSI 7 (level, low) -> IRQ 7
ACPI: PCI interrupt 0000:00:1f.6[B] -> GSI 7 (level, low) -> IRQ 7
ACPI: PCI interrupt 0000:01:01.0[A] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI interrupt 0000:01:03.0[A] -> GSI 7 (level, low) -> IRQ 7
ACPI: PCI Interrupt Link [LNKE] enabled at IRQ 11
ACPI: PCI interrupt 0000:01:08.0[A] -> GSI 11 (level, low) -> IRQ 11
vesafb: probe of vesafb0 failed with error -6
audit: initializing netlink socket (disabled)
audit(1093563399.4294966098:0): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
Initializing Cryptographic API
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Processor [CPU0] (supports C1 C2 C3, 8 throttling states)
ACPI: Thermal Zone [THM] (44 C)
Real Time Clock Driver v1.12
Linux agpgart interface v0.100 (c) Dave Jones
agpgart: Detected an Intel 855 Chipset.
agpgart: Maximum main memory to use for agp memory: 438M
agpgart: Detected 892K stolen memory.
agpgart: AGP aperture is 128M @ 0xf0000000
[drm] Initialized i830 1.3.2 20021108 on minor 0: Intel Corp. 82852/855GM
Integrated Graphics Device
[drm] Initialized i830 1.3.2 20021108 on minor 1: Intel Corp. 82852/855GM
Integrated Graphics Device (#2)
Serial: 8250/16550 driver $Revision: 1.90 $ 8 ports, IRQ sharing enabled
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ttyS3 at I/O 0x2e8 (irq = 3) is a 16550A
ACPI: PCI interrupt 0000:00:1f.6[B] -> GSI 7 (level, low) -> IRQ 7
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
divert: not allocating divert_blk for non-ethernet device lo
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ICH4: IDE controller at PCI slot 0000:00:1f.1
PCI: Enabling device 0000:00:1f.1 (0005 -> 0007)
ACPI: PCI interrupt 0000:00:1f.1[A] -> GSI 11 (level, low) -> IRQ 11
ICH4: chipset revision 1
ICH4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xbfa0-0xbfa7, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xbfa8-0xbfaf, BIOS settings: hdc:DMA, hdd:pio
hda: FUJITSU MHT2040AT, ATA DISK drive
Using anticipatory io scheduler
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hdc: PHILIPS DVD+RW SDVD6004, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hda: max request size: 128KiB
hda: 78140160 sectors (40007 MB) w/2048KiB Cache, CHS=65535/16/63, UDMA(100)
 hda: hda1 hda2 hda3 hda4
hdc: ATAPI 24X DVD-ROM CD-R/RW drive, 8192kB Cache, DMA
Uniform CD-ROM driver Revision: 3.20
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.0:USB HID core driver
usbcore: registered new driver catc
drivers/usb/net/catc.c: v2.8 CATC EL1210A NetMate USB Ethernet driver
usbcore: registered new driver kaweth
drivers/usb/net/pegasus.c: v0.5.12 (2003/06/06):Pegasus/Pegasus II USB Ethernet
driver
usbcore: registered new driver pegasus
mice: PS/2 mouse device common for all mice
serio: i8042 AUX port at 0x60,0x64 irq 12
input: PS/2 Generic Mouse on isa0060/serio1
serio: i8042 KBD port at 0x60,0x64 irq 1
input: AT Translated Set 2 keyboard on isa0060/serio0
NET: Registered protocol family 2
IP: routing cache hash table of 1024 buckets, 32Kbytes
TCP: Hash tables configured (established 32768 bind 9362)
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
PM: Reading pmdisk image.
PM: Resume from disk failed.
ACPI: (supports S0 S1 S3 S4 S4bios S5)
RAMDISK: Compressed image found at block 0
VFS: Mounted root (ext2 filesystem).
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 144k freed
SCSI subsystem initialized
inserting floppy driver for 2.6.8.1-ra
floppy0: no floppy controllers found
inserting floppy driver for 2.6.8.1-ra
floppy0: no floppy controllers found
e100: Intel(R) PRO/100 Network Driver, 3.0.18
e100: Copyright(c) 1999-2004 Intel Corporation
ACPI: PCI interrupt 0000:01:08.0[A] -> GSI 11 (level, low) -> IRQ 11
divert: allocating divert_blk for eth0
e100: eth0: e100_probe: addr 0xfcffe000, irq 11, MAC addr 00:0B:DB:A1:FD:06
ACPI: PCI interrupt 0000:00:1f.5[B] -> GSI 7 (level, low) -> IRQ 7
PCI: Setting latency timer of device 0000:00:1f.5 to 64
intel8x0_measure_ac97_clock: measured 52885 usecs
intel8x0: clocking to 48000
ACPI: PCI interrupt 0000:00:1f.6[B] -> GSI 7 (level, low) -> IRQ 7
PCI: Setting latency timer of device 0000:00:1f.6 to 64
hw_random: cannot enable RNG, aborting
ACPI: PCI interrupt 0000:00:1d.7[D] -> GSI 11 (level, low) -> IRQ 11
ehci_hcd 0000:00:1d.7: Intel Corp. 82801DB (ICH4) USB2 EHCI Controller
PCI: Setting latency timer of device 0000:00:1d.7 to 64
ehci_hcd 0000:00:1d.7: irq 11, pci mem e0907c00
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 1
PCI: cache line size of 32 is not supported by device 0000:00:1d.7
ehci_hcd 0000:00:1d.7: USB 2.0 enabled, EHCI 1.00, driver 2004-May-10
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 6 ports detected
USB Universal Host Controller Interface driver v2.2
ACPI: PCI interrupt 0000:00:1d.0[A] -> GSI 11 (level, low) -> IRQ 11
uhci_hcd 0000:00:1d.0: Intel Corp. 82801DB (ICH4) USB UHCI #1
PCI: Setting latency timer of device 0000:00:1d.0 to 64
uhci_hcd 0000:00:1d.0: irq 11, io base 0000bf80
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
ACPI: PCI interrupt 0000:00:1d.1[B] -> GSI 11 (level, low) -> IRQ 11
uhci_hcd 0000:00:1d.1: Intel Corp. 82801DB (ICH4) USB UHCI #2
PCI: Setting latency timer of device 0000:00:1d.1 to 64
uhci_hcd 0000:00:1d.1: irq 11, io base 0000bf40
uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 3
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
ACPI: PCI interrupt 0000:00:1d.2[C] -> GSI 11 (level, low) -> IRQ 11
uhci_hcd 0000:00:1d.2: Intel Corp. 82801DB (ICH4) USB UHCI #3
PCI: Setting latency timer of device 0000:00:1d.2 to 64
uhci_hcd 0000:00:1d.2: irq 11, io base 0000bf20
uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 4
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
Linux Kernel Card Services
  options:  [pci] [cardbus] [pm]
PCI: Enabling device 0000:01:01.0 (0000 -> 0002)
ACPI: PCI interrupt 0000:01:01.0[A] -> GSI 11 (level, low) -> IRQ 11
Yenta: CardBus bridge found at 0000:01:01.0 [1028:0153]
usb 2-1: new low speed USB device using address 2
Yenta: ISA IRQ mask 0x0438, PCI irq 11
Socket status: 30000007
input: USB HID v1.10 Mouse [Logitech Optical USB Mouse] on usb-0000:00:1d.0-1
NET: Registered protocol family 10
Disabled Privacy Extensions on device c03e6460(lo)
IPv6 over IPv4 tunneling driver
divert: not allocating divert_blk for non-ethernet device sit0
ACPI: AC Adapter [AC] (on-line)
ACPI: Battery Slot [BAT0] (battery present)
ACPI: Battery Slot [BAT1] (battery absent)
ACPI: Lid Switch [LID]
ACPI: Power Button (CM) [PBTN]
ACPI: Sleep Button (CM) [SBTN]
EXT3 FS on hda2, internal journal
Adding 524152k swap on /dev/hda3.  Priority:-1 extents:1
Comment 5 Alan Hourihane 2004-08-27 02:09:35 UTC
O.k. I can see something unusual in your 2.6.8.1 kernel build that uses the 
old i830 kernel module. You should be using the i915 kernel module now.

Can you rebuild your kernel and try that ?
Comment 6 Dave Airlie 2004-08-27 02:29:48 UTC
Actually 2.6.8.1 doesn't contain the i915 patch, you'll have to grab the DRM
from CVS for now and build it ...

I'm pushing against a brick wall trying to get stuff into 2.6.9 but I'll get the
i915 in at least...

Dave.
Comment 7 red_alert 2004-08-27 02:42:31 UTC
and i already wondered why i'm missing that i915 stuff ;)

actually i'm not used with CVS :(
can anyone tell me how (and where and which files i'll need exactly) to get it?
or if it's quite small, attach it here?

then i'll make a new kernel...
Comment 8 Dave Airlie 2004-08-27 03:31:23 UTC
Lucky your timing is quite good... I've just done the basic i915 patch it should
apply to 2.6.8.1

It's at

http://www.skynet.ie/~airlied/patches/dri/i915_linux.diff

just patch -p1 < i915_linux.diff in the toplevel linux-2.6.8.1 directory...

Alan I'll test the ARGB on Monday hopefully my i815 board is in the office (I'm
not :-)
Comment 9 red_alert 2004-08-27 03:37:10 UTC
patching worked without any problems :) thank you.

another question: should i disable DRM_I830 when i'm now using DRM_I915?
Comment 10 red_alert 2004-08-27 04:01:03 UTC
i just applied the i915 patch, enabled DRM_I915 (without disabling DRM_I830).
DRI is still not working.

dmesg looks now like this:
<snip>
Linux agpgart interface v0.100 (c) Dave Jones
agpgart: Detected an Intel 855 Chipset.
agpgart: Maximum main memory to use for agp memory: 438M
agpgart: Detected 892K stolen memory.
agpgart: AGP aperture is 128M @ 0xf0000000
[drm] Initialized i830 1.3.2 20021108 on minor 0: Intel Corp. 82852/855GM
Integrated Graphics Device
[drm] Initialized i830 1.3.2 20021108 on minor 1: Intel Corp. 82852/855GM
Integrated Graphics Device (#2)
[drm] Initialized i915 1.1.0 20040405 on minor 2: Intel Corp. 82852/855GM
Integrated Graphics Device
[drm] Initialized i915 1.1.0 20040405 on minor 3: Intel Corp. 82852/855GM
Integrated Graphics Device (#2)
</snip>

and the Xorg.0.log looks still the same
<snip>
(II) I810(0): [drm] DRM interface version 1.2
(II) I810(0): [drm] created "i915" driver at busid "pci:0000:00:02.0"
(II) I810(0): [drm] drmAddMap failed
(EE) I810(0): [dri] DRIScreenInit failed. Disabling DRI.
</snip>
<snap>
(**) Option "dpms"
(**) I810(0): DPMS enabled
(II) I810(0): direct rendering: Failed
(==) RandR enabled
</snap>
Comment 11 Alan Hourihane 2004-08-27 04:08:12 UTC
You should disable the DRM_I830 - it's a conflicting driver.
Comment 12 Dave Airlie 2004-08-27 04:11:31 UTC
You probably want to make both as modules and not load the i830 one....
Comment 13 red_alert 2004-08-27 04:38:36 UTC
yea, great! now (after disabling DRM_I830) DRI is working again! thank you all
very much!
however my quake 3 arena isn't working while it did with xorg 6.7 ;)
but foobillard and chromium are doing fine again :)
Comment 14 Dave Airlie 2004-08-28 09:29:54 UTC
I'm adding this as a blocker the ARGB cursor on i810 doesn't work but I'll test
the one liner fix Alan supplied before the 31st.. I think the fix should go in
no matter what it's obviously needed...

Comment 15 Kevin E. Martin 2004-08-29 11:38:26 UTC
(In reply to comment #14)
> I'm adding this as a blocker the ARGB cursor on i810 doesn't work but I'll test
> the one liner fix Alan supplied before the 31st.. I think the fix should go in
> no matter what it's obviously needed...

From my reading of the code, it looks like the i810 ARGB cursor fix is needed so
unless someone objects today.  I will go ahead and check it in tonight and then
take this bug off the blocker list for the X.Org release.
Comment 16 Kevin E. Martin 2004-08-29 20:19:53 UTC
I didn't hear any objections, so I've checked in ARGB cursor fix and removed the
blocker status.  Leaving bug open since it looks like there are some other
non-blocker issues to work out.
Comment 17 Jim Cornette 2004-09-10 15:10:07 UTC
Created attachment 846 [details]
This is the ouptput from var log messages
Comment 18 Jim Cornette 2004-09-10 15:14:53 UTC
Created attachment 847 [details]
This is my xorg log

I have a refresh problem that is present on all of the CVS releases where the
i810 patch was applied . Here is my Xorg.0.log from a boot with a bad refresh.

xorg-x11-6.7.99.903-6 from Fedora RC3T2 Release candidate was installed cleanly
without upgrading.
Comment 19 Alan Hourihane 2005-02-07 07:04:09 UTC
Jim,

You should use 

VideoRAM 16384

in your config file, so that a texture pool can be created. That should
re-enable DRI.

As for bad refresh - I presume you mean the monitor refresh. Looks like you have
60Hz selected for all your modes. You should check your Monitor Section if 60Hz
is too low for you.
Comment 20 Dave Airlie 2005-10-19 15:32:05 UTC
If this is still a problem please re-open